summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuke Shumaker <LukeShu@sbcglobal.net>2011-12-31 17:34:18 -0500
committerLuke Shumaker <LukeShu@sbcglobal.net>2011-12-31 17:34:18 -0500
commit37ec8895a3ad8113c2664b94d03280f427b42507 (patch)
tree7e05f3ee8c14795ee044eede7945d194c9df8027
parentcee8f02712f72cb64633ec872a0208995d4c6fc4 (diff)
write libremkchrootv20111231
-rwxr-xr-xlibremkchroot67
1 files changed, 67 insertions, 0 deletions
diff --git a/libremkchroot b/libremkchroot
new file mode 100755
index 0000000..c1f2072
--- /dev/null
+++ b/libremkchroot
@@ -0,0 +1,67 @@
+#!/bin/bash
+# LibreMkChroot
+# Creates a chroot
+
+# Copyright 2011 Luke Shumaker
+
+# ---------- GNU General Public License 3 ----------
+
+# This file is part of Parabola.
+
+# Parabola is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# Parabola is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with Parabola. If not, see <http://www.gnu.org/licenses/>.
+
+source /etc/libretools.conf
+
+if [ -e "$XDG_CONFIG_HOME/libretools/libretools.conf" ]; then
+ source "$XDG_CONFIG_HOME/libretools/libretools.conf"
+fi
+
+#CHROOTNAME="${CHROOT:-${SUDO_USER:-root}}"
+
+cmd=${0##*/}
+
+function usage {
+ echo "Usage: $cmd [OPTIONS]"
+ echo 'This script will create a chroot to build packages in.'
+ echo "Use \`librechroot' to interact with the chroot after it is created."
+ echo ''
+ echo 'Options:'
+ echo ' -h Show this message'
+ echo ''
+ echo ' -f Force overwrite of files in the working-dir'
+ echo ''
+ echo ' -d <chrootdir> Use this dir instead of "$CHROOTDIR".'
+ echo " -c <pacmandir> Location of pacman cache. Default: \`/var/cache/pacman/pkg'."
+ echo ' -C <file> Location of pacman config file.'
+ echo ' -M <file> Location of makepkg config file.'
+}
+
+mkchroot_args='';
+while getopts 'hfd:c:C:M:' arg; do
+ case "$arg" in
+ h) usage; exit 0 ;;
+ f) mkchroot_args="$mkchroot_args -$arg" ;;
+ c|C|M) mkchroot_args="$mkchroot_args -$arg $OPTARG" ;;
+ d) CHROOTDIR=$OPTARG ;;
+ ?) usage; exit 1 ;;
+ esac
+done
+
+if (( EUID )); then
+ error "This script must be run as root"
+ exit 1
+fi
+
+mkdir -p "${CHROOTDIR}"
+xargs -d'\n' mkarchroot $mkchroot_args "${CHROOTDIR}/root" < /etc/libretools.d/cleansystem